# Transfers Use these operations to manage your transfers. | Operation | Method | Description | | -- | -- | -- | | [Get transfers](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers) | GET | Gets a list of transfers. | | [Get transfer estimate](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferestimate) | GET | Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). | | [Get transfer by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferbyid) | GET | Gets a transfer by ID. | | [Execute transfer](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/executetransfer) | POST | Transfers funds between accounts. | | [Complete transfer](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/completetransfer) | POST | Updates the state of a transfer to `COMPLETED`. | | [Add transfer labels](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/addtransferlabels) | PUT | Adds a list of labels to the transfer. To retrieve transfers by label, see [Get transfers](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers) | | [Delete transfer labels](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/deletetransferlabels) | DELETE | Deletes one or more existing labels from the transfer. | ## Get transfers - [GET /transfers](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers.md): Gets a list of transfers. ## Get transfer estimate - [GET /transfers/estimate](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferestimate.md): Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). This operation is only available to xCurrent instances enabled as receivers of xRapid payments. ## Get transfer by ID - [GET /transfers/{transfer_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferbyid.md): Gets a transfer by ID. ## Execute transfer - [POST /transfers/execute](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/executetransfer.md): Transfers funds between accounts. For example, use this request to fund a connector account by transferring funds from a transactional account to the connector account. You can also use this request to redeem funds to a transactional account by transferring funds from a connector account to the transactional account. ## Complete transfer - [POST /transfers/{transfer_id}/complete](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/completetransfer.md): Updates the state of a transfer to COMPLETED. Make this request once the transfer has been made on both the ledger and on internal systems. ## Add transfer labels - [PUT /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/addtransferlabels.md): Adds a list of labels to the transfer. To retrieve transfers by label, see Get transfers. ## Delete transfer labels - [DELETE /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/deletetransferlabels.md): Deletes one or more existing labels from the transfer.